    Change the area scaling of a PHA data set.

set_backscal(id, backscale=None, bkg_id=None)
id - int or str, optional
backscale - number or array
bkg_id - int or str, optional

The area scaling factor of a PHA data set is taken from the BACKSCAL keyword or column, but it can be changed once the file has been loaded.

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
backscale
The scaling factor.
bkg_id
Set to identify which background component to set. The default value ( none ) means that this is for the source component of the data set.

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `backscale` parameter. If given two un-named arguments, then they are interpreted as the `id` and `backscale`

parameters, respectively. The remaining parameters are expected to be given as named arguments.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023